local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ArmyoftheLightandArgussianReachGuide(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle('|TInterface\\Icons\\inv_tabard_a_93armyofthelight:16|t'.."Army of the Light and Argussian Reach Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_tabard_a_93armyofthelight:32|t '.."|cff00C78CArmy of the Light and Argussian Reach:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("To start gaining Reputation from these two Factions you must first do the Inital Questchain for Argus.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Make your way over to either Bladefist Bay outside of Orgimmar or Stormwind Harbor and accept the quest, ".."\124cffffff00\124Hquest:47221:45\124h[The Hand of Fate]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Bladefist Bay - Lady Liadrin")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1 58.2 12.0 Lady Liadrin") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end  

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Stormwind Harbor - Vereesa Windrunner")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #84 21.6 30.6 Vereesa Windrunner") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Follow this Questchain to Completion until you reach Argus.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("You last Quest on this will be in Krokuun Called, ".."\124cffffff00\124Hquest:47473:45\124h[Sizing Up The Opposition]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 3: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("At this point you will have unlocked all of the Dailiy Quests to gain Reputation with this Faction.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CMethod: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
  local desc = AceGUI:Create("Label")
  desc:SetText("At this point you will have gained quite a decent chunk of reputation with these factions already. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now you will need to do:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("- World Quests in this zone rewarding you with 75 rep for each completion")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("- Army of the Light and Argussian Reach Cachés rewarding 1500 reputation uplon completion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("- Weekly Argus Quests rewarding 250 - 350 reputation each.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Stay on the look out for Rare Elites in the Zones as they have a chance of dropping ".."\124cff0070dd\124Hitem:153113::::::::60:::::\124h[Demon's Soulstone]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("This item is about a 1% drop chance but rewards an extra 1000 Reputation with all Broken Isles and Argus.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Show Me All Rares Spawns - Waypoint")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 57.8 29.6 Overseer Y'Sorna") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 61.0 20.6 Vagath the Betrayed") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 55.4 80.4 Talestra the Vile") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 61.6 65.0 Wrath-Lord Yarez") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 65.4 81.4 Rezira the Seer") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 56.6 15.8 Commander Xethgar") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 63.8 22.0 Houndmaster Kerrax") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 39.6 58.4 Commander Vecaya") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 45.0 58.8 Commander Endaxis") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 52.2 52.2 Worldsplitter Skuul") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 55.6 21.8 Void Warden Valsuran") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 62.6 54.4 Lieutenant Xakaar") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 56.2 46.6 Gar'zoth") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 63.6 57.0 Ven'orn") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 53.0 36.6 Vrax'thul") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 53.0 67.8 Soultwisted Monstrosity") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 60.6 29.8 Overseer Y'Morna") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 33.6 75.2 Commander Sathrenael") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 60.6 48.6 Inquisitor Vethroz") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 58.6 76.8 Siegemaster Voraan") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 42.2 70.0 Imp Mother Laglath") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 35.8 58.8 Herald of Chaos") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 53.0 31.0 Sister Subversia") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 53.2 28.4 Watcher Aival") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 58.6 11.6 Doomcaster Suprax") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 76.0 56.2 All-Seer Xanarian") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 61.8 37.6 Blistermaw") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 82.6 65.8 Commander Texlaz") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 66.6 17.8 Mother Rosula") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 73.6 71.8 Admiral Rel'var") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 50.6 9.8 Skreeg the Devourer") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #830 69.6 56.8 Tereck the Selector") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 61.2 21.6 Chief Alchemist Munculus") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 57.6 33.6 Mistress Il'thendra") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #882 59.6 37.6 Overseer Y'Beda") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 54.8 39.0 The Many-Faced Devourer") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #885 64.0 20.8 Puscilla") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end